[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Rawhide update problem - kdebase and lftp



On Thu, 26 Apr 2007 13:55:52 -0400, Jesse Keating wrote:

> On Thursday 26 April 2007 13:44:51 Patrice Dumas wrote:
> > I don't think this is a good idea. We shouldn't introduce ugly hacks for
> > temporary errors in packaging.
> 
> I don't want to either, however I was convinced a while ago by a FESCo meeting 
> that we wanted to preserve upgrade paths within Rawhide after a certain 
> point, and I think we've past that point for F7.  The Obsoletes/Provides 
> could get dropped for the F8 fork of the package (not the F7 or F7 updates 
> version)

A versioned Obsoletes would work, but would be ugly.
A Provides would be completely wrong. You certainly do not want to
make lftp Provides lftp-devel. 

Further, other forms of temporary breakage in rawhide cannot be fixed
(think "broken scriptlets") or would require unnecessarily complex
work-arounds.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]